/**
 * RoleClassAssignedEntity2.java
 *
 * File generated from the medication2::RoleClassAssignedEntity2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassAssignedEntity2.
 *
 * 
 */

@XmlType(name = "RoleClassAssignedEntity")
@XmlEnum
@XmlRootElement(name = "RoleClassAssignedEntity2")
public enum RoleClassAssignedEntity2 {
	@XmlEnumValue("ASSIGNED")
	ASSIGNED("ASSIGNED"),
	@XmlEnumValue("COMPAR")
	COMPAR("COMPAR"),
	@XmlEnumValue("SGNOFF")
	SGNOFF("SGNOFF"),
	@XmlEnumValue("CON")
	CON("CON"),
	@XmlEnumValue("ECON")
	ECON("ECON"),
	@XmlEnumValue("NOK")
	NOK("NOK");
	
	private final String value;

    RoleClassAssignedEntity2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassAssignedEntity2 fromValue(String v) {
        for (RoleClassAssignedEntity2 c: RoleClassAssignedEntity2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
